var puzzle = [ {
  "EduNetworkBuilder": {
    "Network": {
      "en_message": "Occasionally a piece of hardware will break, This often happens after long periods of use, thoug sometimes after just sitting around unused.\n\nThis puzzle makes it look a little worse than it usually would look.  Go ahead and turn on the switch.  After that, right-click and replace it.\n\nThings that have been replaced will need to have their settings put back.  So make sure to give the new switch a good IP and gateway.",
      "en_title": "Bad Power Supply",
      "en_url": null,
      "height": "1024",
      "width": "1024",
      "itemsize": "100",
      "showlabels": "host_ip",
      "level": "0",
      "sortorder": "10.1",
      "uniqueidentifier": "130",
      "startinghelplevel": "full",
      "vlansenabled": "True",
      "VLANPacketColors": "False",
      "device": [
        {
          "hostname": "laptop0",
          "size": "100",
          "uniqueidentifier": "103",
          "location": "559,560",
          "mytype": "laptop",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "192.168.1.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "103",
                "nicid": "104",
                "hostname": "laptop0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "104",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "103",
                "nicid": "105",
                "hostname": "laptop0",
                "nicname": "eth0"
              },
              "uniqueidentifier": "105",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.1.3",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "laptop1",
          "size": "100",
          "uniqueidentifier": "123",
          "location": "680,147",
          "mytype": "laptop",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "192.168.2.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "123",
                "nicid": "124",
                "hostname": "laptop1",
                "nicname": "lo0"
              },
              "uniqueidentifier": "124",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "123",
                "nicid": "125",
                "hostname": "laptop1",
                "nicname": "eth0"
              },
              "uniqueidentifier": "125",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.2.2",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "net_switch0",
          "size": "100",
          "uniqueidentifier": "109",
          "location": "406,328",
          "mytype": "net_switch",
          "isdns": "False",
          "isdhcp": "False",
          "poweroff": "True",
          "gateway": {
            "ip": "192.168.1.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "109",
                "nicid": "110",
                "hostname": "net_switch0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "110",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "management_interface",
                "management_interface"
              ],
              "nicname": "management_interface0",
              "myid": {
                "hostid": "109",
                "nicid": "111",
                "hostname": "net_switch0",
                "nicname": "management_interface0"
              },
              "uniqueidentifier": "111",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "management_interface0",
                "myip": {
                  "ip": "192.168.1.4",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port1",
              "myid": {
                "hostid": "109",
                "nicid": "112",
                "hostname": "net_switch0",
                "nicname": "port1"
              },
              "uniqueidentifier": "112",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "port1",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port2",
              "myid": {
                "hostid": "109",
                "nicid": "113",
                "hostname": "net_switch0",
                "nicname": "port2"
              },
              "uniqueidentifier": "113",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "port2",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port3",
              "myid": {
                "hostid": "109",
                "nicid": "114",
                "hostname": "net_switch0",
                "nicname": "port3"
              },
              "uniqueidentifier": "114",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "port3",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port4",
              "myid": {
                "hostid": "109",
                "nicid": "115",
                "hostname": "net_switch0",
                "nicname": "port4"
              },
              "uniqueidentifier": "115",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "port4",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port5",
              "myid": {
                "hostid": "109",
                "nicid": "116",
                "hostname": "net_switch0",
                "nicname": "port5"
              },
              "uniqueidentifier": "116",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "port5",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port6",
              "myid": {
                "hostid": "109",
                "nicid": "117",
                "hostname": "net_switch0",
                "nicname": "port6"
              },
              "uniqueidentifier": "117",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "port6",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port7",
              "myid": {
                "hostid": "109",
                "nicid": "118",
                "hostname": "net_switch0",
                "nicname": "port7"
              },
              "uniqueidentifier": "118",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "port7",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "pc0",
          "size": "100",
          "uniqueidentifier": "100",
          "location": "246,560",
          "mytype": "pc",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "192.168.1.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "100",
                "nicid": "101",
                "hostname": "pc0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "101",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "100",
                "nicid": "102",
                "hostname": "pc0",
                "nicname": "eth0"
              },
              "uniqueidentifier": "102",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.1.2",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "router0",
          "size": "100",
          "uniqueidentifier": "119",
          "location": "400,158",
          "mytype": "router",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "0.0.0.0",
            "mask": "0.0.0.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "119",
                "nicid": "120",
                "hostname": "router0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "120",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "119",
                "nicid": "121",
                "hostname": "router0",
                "nicname": "eth0"
              },
              "uniqueidentifier": "121",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.1.1",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth1",
              "myid": {
                "hostid": "119",
                "nicid": "122",
                "hostname": "router0",
                "nicname": "eth1"
              },
              "uniqueidentifier": "122",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "eth1",
                "myip": {
                  "ip": "192.168.2.1",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        }
      ],
      "link": [
        {
          "SrcNic": {
            "hostid": "100",
            "nicid": "102",
            "hostname": "pc0",
            "nicname": "eth0"
          },
          "DstNic": {
            "hostid": "109",
            "nicid": "112",
            "hostname": "net_switch0",
            "nicname": "port1"
          },
          "hostname": "pc0_link_net_switch0",
          "linktype": "normal",
          "uniqueidentifier": "126"
        },
        {
          "SrcNic": {
            "hostid": "103",
            "nicid": "105",
            "hostname": "laptop0",
            "nicname": "eth0"
          },
          "DstNic": {
            "hostid": "109",
            "nicid": "113",
            "hostname": "net_switch0",
            "nicname": "port2"
          },
          "hostname": "laptop0_link_net_switch0",
          "linktype": "normal",
          "uniqueidentifier": "127"
        },
        {
          "SrcNic": {
            "hostid": "109",
            "nicid": "114",
            "hostname": "net_switch0",
            "nicname": "port3"
          },
          "DstNic": {
            "hostid": "119",
            "nicid": "121",
            "hostname": "router0",
            "nicname": "eth0"
          },
          "hostname": "net_switch0_link_router0",
          "linktype": "normal",
          "uniqueidentifier": "128"
        },
        {
          "SrcNic": {
            "hostid": "119",
            "nicid": "122",
            "hostname": "router0",
            "nicname": "eth1"
          },
          "DstNic": {
            "hostid": "123",
            "nicid": "125",
            "hostname": "laptop1",
            "nicname": "eth0"
          },
          "hostname": "router0_link_laptop1",
          "linktype": "normal",
          "uniqueidentifier": "129"
        }
      ],
      "nettest": [
        {
          "shost": "net_switch0",
          "dhost": "net_switch0",
          "thetest": "DeviceBlowsUpWithPower"
        },
        {
          "shost": "pc0",
          "dhost": "net_switch0",
          "thetest": "SuccessfullyPings"
        }
      ],
      "VLANName": {
        "@ID": "1",
        "@Color": "Blue",
        "#text": "Default"
      }
    }
  }
},
{
  "EduNetworkBuilder": {
    "Network": {
      "en_message": "Occasionally the electricity in a building, or in a city, has problems.  Usually, in these cases, a device will function for a while and then break on you.  To make the puzzle go faster, however, we have it break immediately.\n\nThis puzzle makes it look a little worse than it usually would look.  Go ahead and turn on the switch.  After that, right-click and replace it.  If you turn it on again, it will continue to break until you add a UPS to it.  After that, it will be fine.  Luckily for you, you do not need to pay for the devices you keep replacing!\n\nThings that have been replaced will need to have their settings put back.  So make sure to give the new switch a good IP and gateway.",
      "en_title": "Bad Power - Needs UPS",
      "en_url": null,
      "height": "1024",
      "width": "1024",
      "itemsize": "100",
      "showlabels": "host_ip",
      "level": "0",
      "sortorder": "10.2",
      "uniqueidentifier": "130",
      "startinghelplevel": "full",
      "vlansenabled": "True",
      "VLANPacketColors": "False",
      "device": [
        {
          "hostname": "laptop0",
          "size": "100",
          "uniqueidentifier": "103",
          "location": "559,560",
          "mytype": "laptop",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "192.168.1.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "103",
                "nicid": "104",
                "hostname": "laptop0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "104",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "103",
                "nicid": "105",
                "hostname": "laptop0",
                "nicname": "eth0"
              },
              "uniqueidentifier": "105",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.1.3",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "laptop1",
          "size": "100",
          "uniqueidentifier": "123",
          "location": "680,147",
          "mytype": "laptop",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "192.168.2.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "123",
                "nicid": "124",
                "hostname": "laptop1",
                "nicname": "lo0"
              },
              "uniqueidentifier": "124",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "123",
                "nicid": "125",
                "hostname": "laptop1",
                "nicname": "eth0"
              },
              "uniqueidentifier": "125",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.2.2",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "net_switch0",
          "size": "100",
          "uniqueidentifier": "109",
          "location": "406,328",
          "mytype": "net_switch",
          "isdns": "False",
          "isdhcp": "False",
          "poweroff": "True",
          "gateway": {
            "ip": "192.168.1.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "109",
                "nicid": "110",
                "hostname": "net_switch0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "110",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "management_interface",
                "management_interface"
              ],
              "nicname": "management_interface0",
              "myid": {
                "hostid": "109",
                "nicid": "111",
                "hostname": "net_switch0",
                "nicname": "management_interface0"
              },
              "uniqueidentifier": "111",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "management_interface0",
                "myip": {
                  "ip": "192.168.1.4",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port1",
              "myid": {
                "hostid": "109",
                "nicid": "112",
                "hostname": "net_switch0",
                "nicname": "port1"
              },
              "uniqueidentifier": "112",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "port1",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port2",
              "myid": {
                "hostid": "109",
                "nicid": "113",
                "hostname": "net_switch0",
                "nicname": "port2"
              },
              "uniqueidentifier": "113",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "port2",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port3",
              "myid": {
                "hostid": "109",
                "nicid": "114",
                "hostname": "net_switch0",
                "nicname": "port3"
              },
              "uniqueidentifier": "114",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "port3",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port4",
              "myid": {
                "hostid": "109",
                "nicid": "115",
                "hostname": "net_switch0",
                "nicname": "port4"
              },
              "uniqueidentifier": "115",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "port4",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port5",
              "myid": {
                "hostid": "109",
                "nicid": "116",
                "hostname": "net_switch0",
                "nicname": "port5"
              },
              "uniqueidentifier": "116",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "port5",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port6",
              "myid": {
                "hostid": "109",
                "nicid": "117",
                "hostname": "net_switch0",
                "nicname": "port6"
              },
              "uniqueidentifier": "117",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "port6",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port7",
              "myid": {
                "hostid": "109",
                "nicid": "118",
                "hostname": "net_switch0",
                "nicname": "port7"
              },
              "uniqueidentifier": "118",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "port7",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "pc0",
          "size": "100",
          "uniqueidentifier": "100",
          "location": "246,560",
          "mytype": "pc",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "192.168.1.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "100",
                "nicid": "101",
                "hostname": "pc0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "101",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "100",
                "nicid": "102",
                "hostname": "pc0",
                "nicname": "eth0"
              },
              "uniqueidentifier": "102",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.1.2",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "router0",
          "size": "100",
          "uniqueidentifier": "119",
          "location": "400,158",
          "mytype": "router",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "0.0.0.0",
            "mask": "0.0.0.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "119",
                "nicid": "120",
                "hostname": "router0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "120",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "119",
                "nicid": "121",
                "hostname": "router0",
                "nicname": "eth0"
              },
              "uniqueidentifier": "121",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.1.1",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth1",
              "myid": {
                "hostid": "119",
                "nicid": "122",
                "hostname": "router0",
                "nicname": "eth1"
              },
              "uniqueidentifier": "122",
              "usesdhcp": "False",
              "encryptionkey": null,
              "ssid": null,
              "interface": {
                "nicname": "eth1",
                "myip": {
                  "ip": "192.168.2.1",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        }
      ],
      "link": [
        {
          "SrcNic": {
            "hostid": "100",
            "nicid": "102",
            "hostname": "pc0",
            "nicname": "eth0"
          },
          "DstNic": {
            "hostid": "109",
            "nicid": "112",
            "hostname": "net_switch0",
            "nicname": "port1"
          },
          "hostname": "pc0_link_net_switch0",
          "linktype": "normal",
          "uniqueidentifier": "126"
        },
        {
          "SrcNic": {
            "hostid": "103",
            "nicid": "105",
            "hostname": "laptop0",
            "nicname": "eth0"
          },
          "DstNic": {
            "hostid": "109",
            "nicid": "113",
            "hostname": "net_switch0",
            "nicname": "port2"
          },
          "hostname": "laptop0_link_net_switch0",
          "linktype": "normal",
          "uniqueidentifier": "127"
        },
        {
          "SrcNic": {
            "hostid": "109",
            "nicid": "114",
            "hostname": "net_switch0",
            "nicname": "port3"
          },
          "DstNic": {
            "hostid": "119",
            "nicid": "121",
            "hostname": "router0",
            "nicname": "eth0"
          },
          "hostname": "net_switch0_link_router0",
          "linktype": "normal",
          "uniqueidentifier": "128"
        },
        {
          "SrcNic": {
            "hostid": "119",
            "nicid": "122",
            "hostname": "router0",
            "nicname": "eth1"
          },
          "DstNic": {
            "hostid": "123",
            "nicid": "125",
            "hostname": "laptop1",
            "nicname": "eth0"
          },
          "hostname": "router0_link_laptop1",
          "linktype": "normal",
          "uniqueidentifier": "129"
        }
      ],
      "nettest": [
        {
          "shost": "net_switch0",
          "dhost": "net_switch0",
          "thetest": "DeviceNeedsUPS"
        },
        {
          "shost": "pc0",
          "dhost": "net_switch0",
          "thetest": "SuccessfullyPings"
        }
      ],
      "VLANName": {
        "@ID": "1",
        "@Color": "Blue",
        "#text": "Default"
      }
    }
  }
},
{
  "EduNetworkBuilder": {
    "Network": {
      "en_message": "This shows what happens if there is a broken network wire in your network.  Ping laptop1 and see where the packet dies.  Open one of the devices connected to that link and you will see that, even though the device has a link connected to it, it does not have a \"connection light\" saying it is connected.  (The connection-light is the * at the end of the eth name).  You can also edit the network card to see if it thinks it is connected.  Remove the broken network wire by right-clicking one of the devices at either end and removing the link.  Then add the link again.  A successful ping tells you if you got it working.",
      "fr_message": "Ceci montre ce qui se passe s'il existe un fil de réseau brisé dans votre réseau. Pinger le laptop1 pour voir où le paquet est en train de s'éteindre. Ouvrez l'un des périphériques connectés à ce lien et vous verrez que même si le périphérique possède un lien qui lui est connecté, il ne dispose pas d'une \"lumière de connexion\" indiquant qu'il est connecté. (La lumière de connexion est le * à la fin du nom de l’Ethernet). Vous pouvez également éditer la carte réseau pour voir si elle pense être connectée. Retirez le fil brisé du réseau avec un clic-droit de la souris sur l'un des périphériques à chaque extrémité en supprimant le lien. Ensuite, ajoutez le lien de nouveau. Un pinge réussi vous dit si vous l'avez mis en fonctionnement.",
      "en_title": "Broken Link",
      "fr_title": "Lien brisé",
      "height": "1024",
      "width": "1024",
      "itemsize": "100",
      "showlabels": "full",
      "level": "0",
      "sortorder": "6",
      "uniqueidentifier": "131",
      "startinghelplevel": "full",
      "vlansenabled": "True",
      "VLANPacketColors": "False",
      "device": [
        {
          "hostname": "laptop0",
          "size": "100",
          "uniqueidentifier": "103",
          "location": "559,560",
          "mytype": "laptop",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "192.168.1.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "103",
                "nicid": "104",
                "hostname": "laptop0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "104",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "103",
                "nicid": "105",
                "hostname": "laptop0",
                "nicname": "eth0"
              },
              "uniqueidentifier": "105",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.1.3",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "laptop1",
          "size": "100",
          "uniqueidentifier": "123",
          "location": "680,147",
          "mytype": "laptop",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "192.168.2.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "123",
                "nicid": "124",
                "hostname": "laptop1",
                "nicname": "lo0"
              },
              "uniqueidentifier": "124",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "123",
                "nicid": "125",
                "hostname": "laptop1",
                "nicname": "eth0"
              },
              "uniqueidentifier": "125",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.2.2",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "net_switch0",
          "size": "100",
          "uniqueidentifier": "109",
          "location": "406,328",
          "mytype": "net_switch",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "192.168.1.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "109",
                "nicid": "110",
                "hostname": "net_switch0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "110",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "management_interface",
                "management_interface"
              ],
              "nicname": "management_interface0",
              "myid": {
                "hostid": "109",
                "nicid": "111",
                "hostname": "net_switch0",
                "nicname": "management_interface0"
              },
              "uniqueidentifier": "111",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "management_interface0",
                "myip": {
                  "ip": "192.168.1.4",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port1",
              "myid": {
                "hostid": "109",
                "nicid": "112",
                "hostname": "net_switch0",
                "nicname": "port1"
              },
              "uniqueidentifier": "112",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "port1",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port2",
              "myid": {
                "hostid": "109",
                "nicid": "113",
                "hostname": "net_switch0",
                "nicname": "port2"
              },
              "uniqueidentifier": "113",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "port2",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port3",
              "myid": {
                "hostid": "109",
                "nicid": "114",
                "hostname": "net_switch0",
                "nicname": "port3"
              },
              "uniqueidentifier": "114",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "port3",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port4",
              "myid": {
                "hostid": "109",
                "nicid": "115",
                "hostname": "net_switch0",
                "nicname": "port4"
              },
              "uniqueidentifier": "115",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "port4",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port5",
              "myid": {
                "hostid": "109",
                "nicid": "116",
                "hostname": "net_switch0",
                "nicname": "port5"
              },
              "uniqueidentifier": "116",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "port5",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port6",
              "myid": {
                "hostid": "109",
                "nicid": "117",
                "hostname": "net_switch0",
                "nicname": "port6"
              },
              "uniqueidentifier": "117",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "port6",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "port",
                "port"
              ],
              "nicname": "port7",
              "myid": {
                "hostid": "109",
                "nicid": "118",
                "hostname": "net_switch0",
                "nicname": "port7"
              },
              "uniqueidentifier": "118",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "port7",
                "myip": {
                  "ip": "0.0.0.0",
                  "mask": "0.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "pc0",
          "size": "100",
          "uniqueidentifier": "100",
          "location": "246,560",
          "mytype": "pc",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "192.168.1.1",
            "mask": "255.255.255.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "100",
                "nicid": "101",
                "hostname": "pc0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "101",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "100",
                "nicid": "102",
                "hostname": "pc0",
                "nicname": "eth0"
              },
              "uniqueidentifier": "102",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.1.2",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        },
        {
          "hostname": "router0",
          "size": "100",
          "uniqueidentifier": "119",
          "location": "400,158",
          "mytype": "router",
          "isdns": "False",
          "isdhcp": "False",
          "gateway": {
            "ip": "0.0.0.0",
            "mask": "0.0.0.0",
            "gateway": "0.0.0.0",
            "type": "gw"
          },
          "nic": [
            {
              "nictype": [
                "lo",
                "lo"
              ],
              "nicname": "lo0",
              "myid": {
                "hostid": "119",
                "nicid": "120",
                "hostname": "router0",
                "nicname": "lo0"
              },
              "uniqueidentifier": "120",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "lo0",
                "myip": {
                  "ip": "127.0.0.1",
                  "mask": "255.0.0.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth0",
              "myid": {
                "hostid": "119",
                "nicid": "121",
                "hostname": "router0",
                "nicname": "eth0"
              },
              "uniqueidentifier": "121",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "eth0",
                "myip": {
                  "ip": "192.168.1.1",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            },
            {
              "nictype": [
                "eth",
                "eth"
              ],
              "nicname": "eth1",
              "myid": {
                "hostid": "119",
                "nicid": "122",
                "hostname": "router0",
                "nicname": "eth1"
              },
              "uniqueidentifier": "122",
              "usesdhcp": "False",
              "encryptionkey": null,
              "interface": {
                "nicname": "eth1",
                "myip": {
                  "ip": "192.168.2.1",
                  "mask": "255.255.255.0",
                  "gateway": "0.0.0.0",
                  "type": "ip"
                },
                "VLAN": {
                  "@ID": "1",
                  "#text": "Untagged"
                }
              }
            }
          ]
        }
      ],
      "link": [
        {
          "SrcNic": {
            "hostid": "100",
            "nicid": "102",
            "hostname": "pc0",
            "nicname": "eth0"
          },
          "DstNic": {
            "hostid": "109",
            "nicid": "112",
            "hostname": "net_switch0",
            "nicname": "port1"
          },
          "hostname": "pc0_link_net_switch0",
          "linktype": "normal",
          "uniqueidentifier": "126"
        },
        {
          "SrcNic": {
            "hostid": "103",
            "nicid": "105",
            "hostname": "laptop0",
            "nicname": "eth0"
          },
          "DstNic": {
            "hostid": "109",
            "nicid": "113",
            "hostname": "net_switch0",
            "nicname": "port2"
          },
          "hostname": "laptop0_link_net_switch0",
          "linktype": "normal",
          "uniqueidentifier": "127"
        },
        {
          "SrcNic": {
            "hostid": "109",
            "nicid": "114",
            "hostname": "net_switch0",
            "nicname": "port3"
          },
          "DstNic": {
            "hostid": "119",
            "nicid": "121",
            "hostname": "router0",
            "nicname": "eth0"
          },
          "hostname": "net_switch0_link_router0",
          "linktype": "normal",
          "uniqueidentifier": "128"
        },
        {
          "SrcNic": {
            "hostid": "119",
            "nicid": "122",
            "hostname": "router0",
            "nicname": "eth1"
          },
          "DstNic": {
            "hostid": "123",
            "nicid": "125",
            "hostname": "laptop1",
            "nicname": "eth0"
          },
          "hostname": "router0_link_laptop1",
          "linktype": "broken",
          "uniqueidentifier": "130"
        }
      ],
      "nettest": [
        {
          "shost": "pc0",
          "dhost": "laptop1",
          "thetest": "SuccessfullyPings"
        },
        {
          "shost": "laptop1",
          "dhost": "router0",
          "thetest": "NeedsLinkToDevice"
        }
      ],
      "tag": "Link",
      "VLANName": {
        "@ID": "1",
        "@Color": "Blue",
        "#text": "Default"
      }
    }
  }
}
]
